#ifndef _CESC_HPP_
#define _CESC_HPP_

/*** TrooperEngine DLL Header Files ***/
#include "TrooperEngine.hpp"

/*** Custom Header Files ***/
#include "../cMainMenu.hpp"

namespace Input {
	class cEsc : public InputEngine::cKey
	{
	public:
		cEsc( SDL_Keycode key, MainMenu::cMainMenu** menu );
		//cMenuUp( const cMenuUp& copy );
		~cEsc();

		///Funtions
		/* Call if the key is pressed */
		void KeyPress();
		/* Call if the key is up */
		void KeyUP();
		/* Call if the key is down */
		void KeyDown();

	private:
	private:
		MainMenu::cMainMenu** mpp_menu;
	};/// END CLASS DEFINITION cEsc
}/// END NAMESPACE DEFINITION Input
#endif/// END IFNDEF _CESC_HPP_